## AtkWindow AtkWindow — The ATK Interface provided by UI components that represent a top-level window. |

## Signals

void | activate | Run Last
void | create | Run Last
void | deactivate | Run Last
void | destroy | Run Last
void | maximize | Run Last
void | minimize | Run Last
void | move | Run Last
void | resize | Run Last
void | restore | Run Last

## Types and Values

| AtkWindow

## Object Hierarchy

        GInterface
        ╰── AtkWindow

## Prerequisites

AtkWindow requires AtkObject.

## Known Implementations

AtkWindow is implemented by AtkNoOpObject.

## Includes

    #include <atk/atk.h>

## Description

AtkWindow should be implemented by the UI elements that represent a top-level window, such as the main window of an application or dialog.

## Functions

## Types and Values

### AtkWindow

    typedef struct _AtkWindow AtkWindow;

## Signal Details

### The `“activate”` signal

    void
    user_function (AtkWindow *object,
                   gpointer   user_data)

The signal “activate” is emitted when a window becomes the active window of the application or session.

#### Parameters

object | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.2

### The `“create”` signal

    void
    user_function (AtkWindow *object,
                   gpointer   user_data)

The signal “create” is emitted when a new window is created.

#### Parameters

object | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.2

### The `“deactivate”` signal

    void
    user_function (AtkWindow *object,
                   gpointer   user_data)

The signal “deactivate” is emitted when a window is no longer the active window of the application or session.

#### Parameters

object | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.2

### The `“destroy”` signal

    void
    user_function (AtkWindow *object,
                   gpointer   user_data)

The signal “destroy” is emitted when a window is destroyed.

#### Parameters

object | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.2

### The `“maximize”` signal

    void
    user_function (AtkWindow *object,
                   gpointer   user_data)

The signal “maximize” is emitted when a window is maximized.

#### Parameters

object | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.2

### The `“minimize”` signal

    void
    user_function (AtkWindow *object,
                   gpointer   user_data)

The signal “minimize” is emitted when a window is minimized.

#### Parameters

object | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.2

### The `“move”` signal

    void
    user_function (AtkWindow *object,
                   gpointer   user_data)

The signal “move” is emitted when a window is moved.

#### Parameters

object | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.2

### The `“resize”` signal

    void
    user_function (AtkWindow *object,
                   gpointer   user_data)

The signal “resize” is emitted when a window is resized.

#### Parameters

object | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.2

### The `“restore”` signal

    void
    user_function (AtkWindow *object,
                   gpointer   user_data)

The signal “restore” is emitted when a window is restored.

#### Parameters

object | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.2

## See Also

AtkObject